<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Margin Boxes</title>
	<style>
		:root {
			font-family: monospace;
			font-size: 10pt;
		}

		@page {
			size: 10.5cm 14.8cm;
			margin: 1cm;
			padding: 0 .5cm;

			@top-left-corner {
				content: "tlc";
				padding: 0.5em;
				border-right: solid 1px black;
				border-bottom: solid 1px black;
				box-sizing: border-box;
			}

			@top-left {
				content: "top-left";
				padding: 0.5em;
				border-right: solid 1px black;
				border-bottom: solid 1px black;
			}
			@top-center {
				content: "tc";
				padding: 0.5em;
				border-bottom: solid 1px black;
				width: 2cm;
			}
			@top-right {
				content: "tr";
				padding: 0.5em;
				border-left: solid 1px black;
				border-bottom: solid 1px black;
			}

			@top-right-corner {
				content: "trc";
				padding: 0.5em;
				border-left: solid 1px black;
				border-bottom: solid 1px black;
				box-sizing: border-box;
			}

			@right-top {
				content: "rt";
				padding: 0.5em;
				border-left: solid 1px black;
				border-bottom: solid 1px black;
			}
			@right-middle {
				content: "rm";
				padding: 0.5em;
				border-left: solid 1px black;
				height: 2cm;
			}
			@right-bottom {
				content: "rb";
				padding: 0.5em;
				border-left: solid 1px black;
				border-top: solid 1px black;
			}

			@bottom-right-corner {
				content: "brc";
				padding: 0.5em;
				border-left: solid 1px black;
				border-top: solid 1px black;
				box-sizing: border-box;
			}

			@bottom-left {
				content: "bl";
				padding: 0.5em;
				border-right: solid 1px black;
				border-top: solid 1px black;
			}
			@bottom-center {
				content: "bc";
				padding: 0.5em;
				border-top: solid 1px black;
				width: 2cm;
			}
			@bottom-right {
				content: "br";
				padding: 0.5em;
				border-left: solid 1px black;
				border-top: solid 1px black;
				width: 4cm;
			}

			@bottom-left-corner {
				content: "blc";
				padding: 0.5em;
				border-right: solid 1px black;
				border-top: solid 1px black;
				box-sizing: border-box;
			}

			@left-top {
				content: "lt";
				padding: 0.5em;
				border-right: solid 1px black;
				border-bottom: solid 1px black;
			}
			@left-middle {
				content: "lm";
				padding: 0.5em;
				border-right: solid 1px black;
				height: 2cm;
			}
			@left-bottom {
				content: "lb";
				padding: 0.5em;
				border-right: solid 1px black;
				border-top: solid 1px black;
				height: 4cm;
			}
		}

		h1 {
			text-align: center;
		}
	</style>
</head>
<body>
<main>
	<h1>Margin Boxes</h1>
	<p>top/right: size on the center margin.</p>
	<p>bottom/left: size on the center and one of side margin.</p>
</main>
</body>
</html>
